Enhavo

# UBound Function

Liveras la altan limon de tabelo.

### Syntax:

    UBound (ArrayName [, Dimension])

### Return type:

Long

### Parameters:

ArrayName: Nomo de la tabelo por kiu liveri la altan limon (Ubound) aŭ la malaltan limon (LBound) de la tabela dimensio.

[Dimension]: Entjero kiu specifas kiun dimension liveri: la altan (Ubound) aŭ la malaltan (LBound). Se ĝi ne estas specifita, la funkcio liveras la unuan.

### Error codes:

5 Nevalida procedurvoko

9 Indekso ekster difinita amplekso

### Example:

    Sub VectorBounds
        Dim v(10 To 20) As String
        Print LBound(v()) ' 10
        Print UBound(v) ' 20
    End Sub

    Sub TableBounds
        Dim t(10 To 20,-5 To 70) As Currency
        Print LBound(t), UBound(t()) ' 10  20
        Print LBound(t(),2) ' -5
        Print UBound(t,2) ' 70
    End Sub